.osy-gant {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: white;
    position:relative;
}
.osy-gant .datList {
    position:absolute;
    height:50px;
    background: #007bff;
    z-index: 20;
    width:100%;
}

.osy-gant .resList {
    min-height: 50px;
    padding-top:50px;
}
.osy-gant .resList .resArea{
    position: relative;
    overflow-y: auto;
    overflow-x: hidden;
}

.osy-gant .resLine {
    height:50px;
    border-bottom: 1px solid silver;
    padding:5px;
}
.osy-gant .groupLine {
    height:30px;
    border-bottom: 1px solid silver;
    background-color: #fefede;
}

.osy-gant .resName .groupLine {
    font-size:80%;
    padding:4px 2px 2px 20px;
    white-space: nowrap;
}

.osy-gant .resBackground {
    position: absolute;
    top: 0px;
    width:100%;
}

.osy-gant .resBackground .resLine {
    border-bottom: 1px solid silver;
    width:100vw;
}

.osy-gant .resName {
    position: absolute;
    top: 0px;
    width: 150px;
    background-color: #ceddef;
    z-index: 10;
}

.osy-gant .resBox .resLine {
    position: relative;
}


.osy-gant .resBox .resLine .box{
    position: absolute;
    margin-top:5px;
    cursor:pointer;
    z-index : 1;
}
.osy-gant .resBox .resLine .point{
    position: absolute;
    bottom:2px;
    cursor:pointer;
    z-index : 1;
}
.osy-gant .resBox .resLine .box .content{
    border:1px solid red;
    border-radius: 2px;
    white-space: nowrap;
    min-height:20px;
    overflow: hidden;
    position:relative;
    z-index: 1;
}
.osy-gant .resBox .resLine .box.overbook{
    background-color:red;
    height:10px;
    margin-top:0px;
    border-radius:0px;
}
.osy-gant .resBox .resLine .box.overbook *{
    display:none;
}
.osy-gant .resBox .resLine .box .content .label{
    padding-left:10px;
}
.osy-gant .datCal {
    position : absolute;
}
.osy-gant .datInp {
    height   : 100%;
    position : absolute;
    width:150px;
}

.osy-gant .datInp .day {
    padding:3px;
    cursor: pointer;
}

.osy-gant .datInp .thisday {
    background-color:#ceddef;
}
.osy-gant .datInp input {
    margin: 3px 0px 0px 3px;
    padding: 5px 0px;
}

.osy-gant .datToday div.today {
    padding:10px;
    padding-bottom: 0px;
    display: inline-block;
    color:black;
}

.osy-gant .datToday div.spinner {
    width:12px;
    height: 12px;
    background-color:#ceddef;
    border-radius: 5px;
    display:none;
}

.osy-gant.spinner .datToday div.spinner {
    display: inline-block;
}
.osy-gant .dat-content {
    position:absolute;
}
.osy-gant .dat-content .osy-box{
    width:fit-content;
    background-color: white;
    border-radius: 0px 0px 5px 5px;
    margin:5px 0px;
    border: 2px solid #007bff;
    border-top:0px;
    padding:5px;
}

.osy-gant .datList .dat-view-snippet {
    position:absolute;
    border:1px solid silver;
    border-radius:5px;
    padding:3px;
    background-color: yellowgreen;
}